import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';
import { EmpGroupModel } from '../model/emp_group.model';

@Injectable({
    providedIn: 'root'
})
export class EmpGroupService {
    api = "/emp-group"
    urlApi = environment.baseUrl + this.api
    constructor(private http: HttpClient) {
    }
    getList(): Observable<EmpGroupModel[]> {
        return this.http.get<EmpGroupModel[]>(this.urlApi + "/lists")
    }
    getById(groupId: string): Observable<EmpGroupModel> {
        return this.http.get<EmpGroupModel>(this.urlApi + "/" + groupId)
    }
    // post(body: Bu1Model) {
    //   return this.http.post(this.urlApi, body)
    // }
    // delete(body: Bu1Model) {
    //   const options = {
    //     headers: new HttpHeaders({
    //       "Content-Type": "application/json",
    //     }),
    //     body: body
    //   };
    //   return this.http.delete(this.urlApi, options)
    // }
}
